- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QTextFrame::iterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 143 of file qtextobject.h.

`#include <qtextobject.h>`

List of all members.

## Public Member Functions
| iterator ()
| iterator (const iterator &o)
iterator & | operator= (const iterator &o)
QTextFrame * | parentFrame () const
QTextFrame * | currentFrame () const
QTextBlock | currentBlock () const
bool | atEnd () const
bool | operator== (const iterator &o) const
bool | operator!= (const iterator &o) const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
## Friends
class | QTextFrame
class | QTextTableCell
class | QTextDocumentLayoutPrivate

## Constructor & Destructor Documentation

iterator | ( |  | ) |

iterator | ( | const iterator & | o | ) |

## Member Function Documentation

iterator& operator= | ( | const iterator & | o | ) |

QTextFrame* parentFrame | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 159 of file qtextobject.h.

    { return f; }

QTextFrame* currentFrame | ( |  | ) | const

Search for all occurrences

QTextBlock currentBlock | ( |  | ) | const

Search for all occurrences

bool atEnd | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 164 of file qtextobject.h.

    { return !cf && cb == e; }

bool operator== | ( | const iterator & | o | ) | const `[inline]`

Definition at line 166 of file qtextobject.h.

    { return f == o.f && cf == o.cf && cb == o.cb; }

bool operator!= | ( | const iterator & | o | ) | const `[inline]`

Definition at line 167 of file qtextobject.h.

    { return f != o.f || cf != o.cf || cb != o.cb; }

iterator& operator++ | ( |  | ) |

iterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 169 of file qtextobject.h.

    { iterator tmp = *this; operator++(); return tmp; }

iterator& operator-- | ( |  | ) |

iterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 171 of file qtextobject.h.

    { iterator tmp = *this; operator--(); return tmp; }

## Friends And Related Function Documentation

friend class QTextFrame `[friend]`

Search for all occurrences

Definition at line 150 of file qtextobject.h.

friend class QTextTableCell `[friend]`

Search for all occurrences

Definition at line 151 of file qtextobject.h.

friend class QTextDocumentLayoutPrivate `[friend]`

Search for all occurrences

Definition at line 152 of file qtextobject.h.

The documentation for this class was generated from the following file:

- QtGui/qtextobject.h

QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator
QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator QTextFrame::iterator